<?php

namespace Drupal\search_365\Form;

/**
 * Provides the search form.
 *
 * @package Drupal\search_365\Form
 */
class SearchForm {

  /**
   * {@inheritdoc}
   */
  public static function buildForm(array $form, array &$form_state, $query = '') {
    $prompt = t('Please enter search terms.');

    // Basic search.
    $form['basic'] = [
      '#type' => 'container',
    ];
    $form['basic']['search_keys'] = [
      '#type' => 'textfield',
      '#default_value' => $query,
      '#attributes' => [
        'title' => $prompt,
        'placeholder' => $prompt,
      ],
      '#title' => $prompt,
      '#title_display' => 'invisible',
    ];

    $form['basic']['submit'] = [
      '#type' => 'submit',
      '#value' => t('Search'),
    ];

    // Use core search CSS in addition to this module's css
    // (keep it general in case core search is enabled).
    $form['#attributes']['class'][] = 'search-form';
    $form['#attributes']['class'][] = 'search-365-search-form';

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public static function submitForm(array $form, array &$form_state) {
    $searchQuery = urlencode($form_state['values']['search_keys']);
    $form_state['redirect'] = variable_get('search_365_drupal_path') . '/' . $searchQuery;
  }

}
