<?php

namespace Drupal\search_365\SearchResults;

use Drupal\Core\Link;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Url;
use Drupal\search_365\Routing\SearchViewRoute;

/**
 * Generates the sort by links.
 */
class SortByLinkGenerator {

  /**
   * Gets the order by links.
   *
   * @param \Drupal\search_365\SearchResults\SearchQuery $searchQuery
   *   The search query.
   *
   * @return array
   *   The order by links.
   */
  public static function getSortByLinks(SearchQuery $searchQuery) {
    $links = [];
    $path = variable_get('search_365_drupal_path','search_365') . '/' . urlencode($searchQuery->getQuery());
    if ($searchQuery->getSortBy() == SearchQuery::SORT_BY_DATE) {
      $links[] = l(t('Relevance'), $path, ['query' => ['sortby' => SearchQuery::SORT_BY_RELEVANCE]]);
      $links[] = t('Date');
      return $links;
    }
    $links[] = t('Relevance');
    $links[] = l(t('Date'), $path, ['query' => ['sortby' => SearchQuery::SORT_BY_DATE]]);
    return $links;
  }

}
