<?php
/**
 * @file
 * Contains theme representation of search results
 *
 * Available variables:
 *  - form - the search form
 *  - results - the search results
 */
?>
<div>
  <div>
    <?php print drupal_render($form) ?>
  </div>
  <div>
    <?php if ($results->hasFeatured()): ?>
      <ol>
        <?php foreach ($results->getFeatured() as $featured): ?>
          <li><?php print check_plain($featured) ?></li>
        <?php endforeach ?>
      </ol>
    <?php endif ?>
  </div>
  <div>
    <?php if ($results->hasDidYouMean()): ?>
      <div class="synonyms">
        <span class="p">Did you mean</span>
        <ul>
          <?php foreach ($results->getDidYouMean() as $synonym): ?>
            <li><?php print check_plain($synonym) ?></li>
          <?php endforeach ?>
        </ul>
      </div>
    <?php endif ?>
  </div>
  <div>
    <?php if ($results->hasResults()): ?>
      <div>
        <p>Showing
          results <?php print check_plain($results->getFirstResultIndex()) ?> -
          <?php print check_plain($results->getLastResultIndex()) ?> of
          <?php print check_plain($results->getResultsCount()) ?> for
          <em><?php print check_plain($search_query) ?></em></p>
          <ul>
            <li>Sort by:</li>
            <?php foreach ($sort_links as $sort_link): ?>
              <li><?php print $sort_link; ?></li>
            <?php endforeach ?>
          </ul>
      </div>

      <ol class="search-results">
        <?php foreach ($results->getResults() as $result): ?>
          <li class="search-result">
            <div class="search-result__title">
              <a href="<?php print filter_xss($result->getUrl()) ?>"><?php print filter_xss($result->getTitle()) ?></a>
            </div>
            <div class="search-result__snippet-info">
              <?php print filter_xss($result->getBody()) ?>
            </div>
          </li>
        <?php endforeach ?>
      </ol>
    <?php else: ?>
      <span>No results found.</span>
    <?php endif ?>
  </div>
  <?php print theme($pager) ?>
</div>
